Script 'mail_helper' called by obssrc
Hello community,

here is the log from the commit of package z for openSUSE:Factory checked in at 
2026-09-12 21:21:55
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/z (Old)
 and      /work/SRC/openSUSE:Factory/.z.new.1265 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "z"

Sat Sep 12 21:21:55 2026 rev:5 rq:1377538 version:2.7.6

Changes:
--------
--- /work/SRC/openSUSE:Factory/z/z.changes      2023-12-18 22:55:39.750995251 
+0100
+++ /work/SRC/openSUSE:Factory/.z.new.1265/z.changes    2026-09-12 
21:25:49.296704334 +0200
@@ -1,0 +2,9 @@
+Sat Sep 12 14:16:21 UTC 2026 - Martin Pluskal <[email protected]>
+
+- Update to version 2.7.6:
+  * Add -g/-G options to use pigz/lbzip2/pbzip2/pixz if available
+  * Rename -I option to -bz
+  * Honor TMPDIR for temp files instead of hardcoded /tmp
+  * Quote temp file uses
+
+-------------------------------------------------------------------

Old:
----
  z-2.7.4.tgz

New:
----
  z-2.7.6.tgz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ z.spec ++++++
--- /var/tmp/diff_new_pack.VTxnFT/_old  2026-09-12 21:25:49.746723221 +0200
+++ /var/tmp/diff_new_pack.VTxnFT/_new  2026-09-12 21:25:49.747723263 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package z
 #
-# Copyright (c) 2023 SUSE LLC
+# Copyright (c) 2026 SUSE LLC and contributors
 # Copyright (c) 2009 - 2014 Pascal Bleser [email protected]
 #
 # All modifications and additions to the file contributed by third parties
@@ -18,11 +18,10 @@
 
 
 Name:           z
-Version:        2.7.4
+Version:        2.7.6
 Release:        0
 Summary:        Frontend for compressing and uncompressing
 License:        GPL-2.0-only
-Group:          Productivity/Archiving/Compression
 URL:            https://kinzler.com/me/z/
 Source:         https://kinzler.com/me/z/z-%{version}.tgz
 BuildArch:      noarch

++++++ z-2.7.4.tgz -> z-2.7.6.tgz ++++++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/z-2.7.4/README new/z-2.7.6/README
--- old/z-2.7.4/README  2021-12-14 15:17:49.000000000 +0100
+++ new/z-2.7.6/README  2025-01-01 18:09:58.000000000 +0100
@@ -1,11 +1,12 @@
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  Z  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 
-                        http://kinzler.com/me/z
+                        https://kinzler.com/me/z
 
 Z is a simple, safe and convenient front-end for the compress(1),
-uncompress(1), gzip(1), bzip2(1), lzip(1), xz(1), tar(1), zip(1)
-and unzip(1) utilities for compressing and uncompressing files and
-directories. See the included man page for full details.
+uncompress(1), gzip(1), pigz(1) bzip2(1), lbzip2(1), pbzip2(1), lzip(1),
+xz(1), pixz(1), tar(1), zip(1) and unzip(1) utilities for compressing
+and uncompressing files and directories. See the included man page for
+full details.
 
 The basic idea behind z is that you can just run `z SOMETHING` where
 SOMETHING is any file, directory, compressed file or compressed archive,
@@ -35,7 +36,7 @@
 ---------------------------  GPL COPYRIGHT  ----------------------------
 
 z
-Copyright (C) 1989-2013 Stephen B Kinzler
+Copyright (C) 1989-2025 Stephen B Kinzler
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
@@ -54,20 +55,20 @@
 
 ---------------------  SOFTWARE BY STEVE KINZLER  ----------------------
 
-Unix Home Dir  http://kinzler.com/me/home.html
+Unix Home Dir  https://kinzler.com/me/home.html
                Many scripts and config files for Unix/X11 environments
-align          http://kinzler.com/me/align
+align          https://kinzler.com/me/align
                A text column alignment filter
-vshnu          http://kinzler.com/me/vshnu
+vshnu          https://kinzler.com/me/vshnu
                A visual shell and CLI shell supplement
-webrowse       http://kinzler.com/me/webrowse
+webrowse       https://kinzler.com/me/webrowse
                Tools to interface web browsers to the Unix user CLI
-xtitle         http://kinzler.com/me/xtitle
+xtitle         https://kinzler.com/me/xtitle
                Set window title and icon name for an X11 terminal window
-z              http://kinzler.com/me/z
+z              https://kinzler.com/me/z
                A convenience frontend for tar, gzip, zip, etc
 
 ========================================================================
 
 Steve Kinzler <[email protected]>                         December 2013
-http://kinzler.com/me
+https://kinzler.com/me
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/z-2.7.4/z new/z-2.7.6/z
--- old/z-2.7.4/z       2021-12-14 15:17:49.000000000 +0100
+++ new/z-2.7.6/z       2025-01-01 18:09:58.000000000 +0100
@@ -1,9 +1,9 @@
 #!/bin/sh -
 
 # z -- safely (un)tar and (de)feather files and directories
-# Steve Kinzler, [email protected], May 89/Jun 93/Aug 99/Dec 00
-# see website http://kinzler.com/me/z/
-# http://kinzler.com/me/home.html#unix
+# Steve Kinzler, [email protected], May 89/Jun 93/Aug 99/Dec 00/Apr 24
+# see website https://kinzler.com/me/z/
+# https://kinzler.com/me/home.html#unix
 
 #   Copyright
 #
@@ -38,16 +38,20 @@
 #version=2.7.1 # 26 Nov 14: update FSF address
 #version=2.7.2  # 13 Jan 15: wrapped a long case line
 #version=2.7.3  # 29 Oct 19: change command and suffix defaults
-version=2.7.4   # 14 Dec 21: extend .jar support to .ear and .war
+#version=2.7.4  # 14 Dec 21: extend .jar support to .ear and .war
+#ersion=2.7.5   #  8 Apr 24: add -g/-G options for pigz/[lp]bzip2/pixz use
+version=2.7.6   #  1 Jan 25: use TMPDIR vs /tmp if defined
 
 # Note: Considered supporting .cbz ala .jar but it needs sorted file order
 #      within the archive.
 
-GZIP=; ZIPOPT=; UNZIP=; export GZIP ZIPOPT UNZIP
+       GZIP=; ZIPOPT=; UNZIP=; LBZIP2=; BZIP2=; BZIP=
+export GZIP   ZIPOPT   UNZIP   LBZIP2   BZIP2   BZIP
 
 table=
 verbose=; quiet=-q
 report=
+parallel=t
 command=gzip
 tag=gz
 qopts=
@@ -56,7 +60,7 @@
 preserve=p
 bad=
 
-dfltopts="-T -V -L -gz -s $suffix -m $mode -p"
+dfltopts="-T -V -L -g -gz -s $suffix -m $mode -p"
 
 set x $ZOPTS ${1+"$@"}; shift
 
@@ -71,9 +75,11 @@
                -V|-q)  verbose=;   quiet=-q;;
                -l)     report=t;;
                -L)     report=;;
+               -g)     parallel=t;;
+               -G)     parallel=;;
                -gz)    command=gzip;     tag=gz;;
                -z)     command=gzip;     tag=z;;
-               -I)     command=bzip2;    tag=bz2;;
+               -bz)    command=bzip2;    tag=bz2;;
                -lz)    command=lzip;     tag=lz;;
                -xz)    command=xz;       tag=xz;;
                -Z)     command=compress; tag=Z;;
@@ -100,8 +106,8 @@
 
 case "$#,$bad" in
 0,*|*,?*)      cat << EOF 1>&2
-usage: $0 [ -t | -T ] [ -v | -V ] [ -l | -L ]
-       [ -gz | -z | -I | -lz | -xz | -Z | -zip | -[ejw]ar ] [ -# ]
+usage: $0 [ -t | -T ] [ -v | -V ] [ -l | -L ] [ -g | -G ]
+       [ -gz | -z | -bz | -lz | -xz | -Z | -zip | -[ejw]ar ] [ -# ]
        [ -s suffix ] [ -m mode ] [ -p | -P ] [ -h ] [ -- ] file ...
 where "file" is a file, a directory, a feathered file ending
 in .{Z,gz,z,bz2,lz,xz}, or a tarred and feathered file ending in
@@ -112,9 +118,11 @@
        -V,-q   non-verbose output
        -l      list the resulting files and directories
        -L      don't list the resulting files and directories
+       -g      use pigz/[lp]bzip2/pixz instead of gzip/bzip2/xz if available
+       -G      don't use pigz/[lp]bzip2/pixz instead of gzip/bzip2/xz
        -gz     use gzip and a .gz suffix when feathering
        -z      use gzip and a .z suffix when feathering
-       -I      use bzip2 and a .bz2 suffix when feathering
+       -bz     use bzip2 and a .bz2 suffix when feathering
        -lz     use lzip and a .lz suffix when feathering
        -xz     use xz and a .xz suffix when feathering
        -Z      use compress and a .Z suffix when feathering
@@ -136,12 +144,26 @@
                exit 1;;
 esac
 
+ugzip=gzip; ubzip2=bzip2; uxz=xz
+case "$parallel" in
+?*)    (pigz   -h 2>&1 | grep -si usage) > /dev/null 2>&1 && ugzip=pigz
+       (lbzip2 -h      | grep -si usage) > /dev/null 2>&1 && ubzip2=lbzip2
+       test "$ubzip2" != lbzip2 &&
+       (pbzip2 -h 2>&1 | grep -si usage) > /dev/null 2>&1 && ubzip2=pbzip2
+       (pixz   -h 2>&1 | grep -si usage) > /dev/null 2>&1 && uxz=pixz
+       case "$command" in
+       gzip)   command="$ugzip";;
+       bzip2)  command="$ubzip2";;
+       xz)     command="$uxz";;
+       esac;;
+esac
+
 ###############################################################################
 
 iwd=`pwd` || exit 2
 
-tmp=/tmp/z$$
-trap 'rm -f $tmp; exit 4' 1 2 13 15
+tmp="${TMPDIR:-/tmp}/z$$"
+trap "rm -f '$tmp'; exit 4" 1 2 13 15
 
 for arg
 do
@@ -166,12 +188,12 @@
        *.tar.bz2|*.tarbz2|*.tabz2|*.tbz2|*.tar.lz|*.tlz|*.tar.xz|*.txz|*.zip|\
        *.[ejw]ar)
                case "$arg" in
-               *Z)             ucommand=uncompress;   utag=Z;;
-               *zip|*[ejw]ar)  ucommand=unzip;        utag=;;
-               *bz2)           ucommand='bzip2 -d';   utag=bz2;;
-               *lz)            ucommand='lzip -d';    utag=lz;;
-               *xz)            ucommand='xz -d';      utag=xz;;
-               *)              ucommand='gzip -d -n'; utag=z;;
+               *Z)             ucommand=uncompress;     utag=Z;;
+               *zip|*[ejw]ar)  ucommand=unzip;          utag=;;
+               *bz2)           ucommand="$ubzip2 -d";   utag=bz2;;
+               *lz)            ucommand='lzip -d';      utag=lz;;
+               *xz)            ucommand="$uxz -d";      utag=xz;;
+               *)              ucommand="$ugzip -d -n"; utag=z;;
                esac
 
                case "$table" in
@@ -223,7 +245,7 @@
                *.zip|*.[ejw]ar)
                        mkdir "$dirf" || continue
                        cd "$dirf"    || continue
-                       $ucommand -q ../"$arg" 2>&1 | tee $tmp 1>&2;;
+                       $ucommand -q ../"$arg" 2>&1 | tee "$tmp" 1>&2;;
 
                *)
                        $ucommand "$arg"
@@ -235,13 +257,13 @@
 
                        mkdir "$dirf" || continue
                        cd "$dirf"    || continue
-                       tar -x${preserve}f ../"$tarf" 2>&1 | tee $tmp 1>&2;;
+                       tar -x${preserve}f ../"$tarf" 2>&1 | tee "$tmp" 1>&2;;
                esac
 
-               if test ! -s $tmp
+               if test ! -s "$tmp"
                then
-                       ls -a | sed '/^\.$/d; /^\.\.$/d' > $tmp
-                       nfiles=`wc -l < $tmp`
+                       ls -a | sed '/^\.$/d; /^\.\.$/d' > "$tmp"
+                       nfiles=`wc -l < "$tmp"`
 
                        case "`echo $nfiles`" in
                        0)      cat << EOF 1>&2
@@ -250,7 +272,7 @@
                                ;;
 
                        1)      rm ../"$tarf"
-                               case "`cat $tmp`" in
+                               case `cat "$tmp"` in
                                "$dirf")        cd ..                        &&
                                                mv "$dirf" "$dirf".Z$$       &&
                                                    mv "$dirf".Z$$/"$dirf" . &&
@@ -278,7 +300,7 @@
                ?*)     echo "$dirf";;
                esac
 
-               rm -f $tmp;;
+               rm -f "$tmp";;
 
 ###############################################################################
 # defeather plain feathered files
@@ -291,10 +313,10 @@
 
                case "$arg" in
                *Z)     ucommand=uncompress;;
-               *bz2)   ucommand='bzip2 -d';;
+               *bz2)   ucommand="$ubzip2 -d";;
                *lz)    ucommand='lzip -d';;
-               *xz)    ucommand='xz -d';;
-               *)      ucommand='gzip -d -n';;
+               *xz)    ucommand="$uxz -d";;
+               *)      ucommand="$ugzip -d -n";;
                esac
 
                file=`echo "$arg" | sed 's/\.[^\.]*$//'`
@@ -316,11 +338,13 @@
        *)
                case "$command" in
                compress)       cargs="$verbose -f";;
-               gzip)           case "$tag" in
+               gzip|pigz)      case "$tag" in
                                gz)     cargs="$verbose $qopts";;
                                *)      cargs="$verbose -S .$tag $qopts";;
                                esac;;
-               bzip2|lzip|xz)  cargs="$verbose $qopts";;
+               bzip2|lbzip2)   cargs="$verbose $qopts";;
+               lzip|xz)        cargs="$verbose $qopts";;
+               pixz)           cargs="$qopts";;
                zip)            cargs="$quiet -r -y -m -T $qopts";;
                *)              cat << EOF 1>&2
 $0: unsupported feather command ($command), skipping $arg
@@ -350,7 +374,8 @@
                        .ta[Zz]|.tagz|ta[Zz]|tagz)         suffix=.ta$tag;;
                        .tabz2|tabz2)                      suffix=.ta$tag;;
                        .t[Zz]|.tgz|t[Zz]|tgz)             suffix=.t$tag;;
-                       .zip|zip|.[ejw]ar|[ejw]ar|.tbz2|tbz2) suffix=.t$tag;;
+                       .zip|zip|.[ejw]ar|[ejw]ar)         suffix=.t$tag;;
+                       .tbz2|tbz2)                        suffix=.t$tag;;
                        .tlz|tlz)                          suffix=.t$tag;;
                        .txz|txz)                          suffix=.t$tag;;
                        *)                                 cat << EOF 1>&2
@@ -414,12 +439,17 @@
                                        { rm -f "$arg".tar; continue; };;
                        esac
 
-                       tar -cf "$arg".tar "$arg" 2>&1 | tee $tmp 1>&2
+                       tar -cf "$arg".tar "$arg" 2>&1 | tee "$tmp" 1>&2
 
-                       if test ! -s $tmp -a -s "$arg".tar
+                       if test ! -s "$tmp" -a -s "$arg".tar
                        then
                                rm -r "$arg" &
-                               $command $cargs "$arg".tar
+                               case "$command" in
+                               pixz)   $command $cargs < "$arg".tar \
+                                               > "$arg".tar.$tag &&
+                                       rm -f "$arg".tar;;
+                               *)      $command $cargs "$arg".tar;;
+                               esac
                                case "$arg".tar.$tag in
                                "$arg"$suffix)  ;;
                                *)      test -f "$arg".tar.$tag &&
@@ -434,7 +464,7 @@
                                echo "$0: $arg$suffix not created" 1>&2
                        fi
 
-                       rm -f $tmp
+                       rm -f "$tmp"
 
 ###############################################################################
 # feather plain files
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/z-2.7.4/z.html new/z-2.7.6/z.html
--- old/z-2.7.4/z.html  2021-12-14 15:17:49.000000000 +0100
+++ new/z-2.7.6/z.html  2025-01-01 18:09:58.000000000 +0100
@@ -10,7 +10,7 @@
 <h2>SYNOPSIS</h2>
 
 <p><b>z</b> [ <b>-t</b> | <b>-T</b> ] [ <b>-v</b> | <b>-V</b> ]
-[ <b>-l</b> | <b>-L</b> ]
+[ <b>-l</b> | <b>-L</b> ] [ <b>-g</b> | <b>-G</b> ]
 [ <b>-gz</b> | <b>-z</b> | <b>-I</b> | <b>-lz</b> | <b>-xz</b> | <b>-Z</b> |
 <b>-zip</b> | <b>-jar</b> ]
 [ <b>-#</b> ] [ <b>-s</b> <i>suffix</i> ] [ <b>-m</b> <i>mode</i> ]
@@ -19,11 +19,12 @@
 <h2>DESCRIPTION</h2>
 
 <p><i>Z</i> is a simple, safe and convenient front-end for the
-<i>compress</i>(1), <i>uncompress</i>(1), <i>gzip</i>(1),
-<i>bzip2</i>(1), <i>lzip</i>(1), <i>xz</i>(1), <i>tar</i>(1), <i>zip</i>(1)
-and <i>unzip</i>(1) utilities for compressing and uncompressing files and
-directories. It processes each of its arguments according to the type of
-the file or directory given:</p>
+<i>compress</i>(1), <i>uncompress</i>(1), <i>gzip</i>(1), <i>pigz</i>(1),
+<i>bzip2</i>(1), <i>lbzip2</i>(1), <i>pbzip2</i>(1), <i>lzip</i>(1),
+<i>xz</i>(1), <i>pixz</i>(1), <i>tar</i>(1), <i>zip</i>(1) and
+<i>unzip</i>(1) utilities for compressing and uncompressing files and
+directories. It processes each of its arguments according to the type
+of the file or directory given:</p>
 
 <p>If the argument is a plain file, then the file is compressed, ie,
 feathered.</p>
@@ -56,14 +57,20 @@
     to <i>gzip</i>(1), <i>bzip2</i>(1), <i>lzip</i>(1), <i>xz</i>(1) and
     <i>zip</i>(1) when feathering with them.  <b>--fast</b> may be used
     instead of <b>-1</b> and <b>--best</b> instead of <b>-9</b>.
+<dt>-bz
+<dd>Uses <i>bzip2</i>(1) and a <b>.bz2</b> compression suffix when
+    feathering.
+<dt>-g
+<dd>Uses parallel versions (<i>pigz</i>(1), <i>lbzip2</i>(1),
+    <i>pbzip2</i>(1), <i>pixz</i>(1)) of the utilities (<i>gzip</i>(1),
+    <i>bzip2</i>(1), <i>xz</i>(1)) if available.  Default.
+<dt>-G
+<dd>Does not use parallel versions of the utilities even if they are available.
 <dt>-gz
 <dd>Uses <i>gzip</i>(1) and a <b>.gz</b> compression suffix when
     feathering.  Default.
 <dt>-h
 <dd>Prints a helpful usage message.
-<dt>-I
-<dd>Uses <i>bzip2</i>(1) and a <b>.bz2</b> compression suffix when
-    feathering.
 <dt>-l
 <dd>Lists the file or directory name created resulting from each argument.
 <dt>-L
@@ -71,9 +78,6 @@
 <dt>-lz
 <dd>Uses <i>lzip</i>(1) and a <b>.lz</b> compression suffix when
     feathering.
-<dt>-xz
-<dd>Uses <i>xz</i>(1) and a <b>.xz</b> compression suffix when
-    feathering.
 <dt>-m mode
 <dd>Apply the given <i>chmod</i>(1) mode argument to any created tar
     and feather files.  Before this argument is applied, the files
@@ -104,6 +108,9 @@
 <dt>-V
 <dd>Non-verbose output.  Does not report compression ratios.  Default.
     <b>-q</b> is a synonym.
+<dt>-xz
+<dd>Uses <i>xz</i>(1) and a <b>.xz</b> compression suffix when
+    feathering.
 <dt>-z
 <dd>Uses <i>gzip</i>(1) and a <b>.z</b> compression suffix when
     feathering.
@@ -126,14 +133,9 @@
 <dd>This variable may be set to a string of the above options to supersede
     the default settings.  They may still be overridden by options given
     on the command line.
-<dt>GZIP
-<dd>This environment variable for <i>gzip</i>(1) is <b>not</b> passed
-    on by <i>z</i> so that <i>gzip</i>'s behavior is standard and
-    predictable.
-<dt>ZIPOPT, UNZIP
-<dd>These environment variables for <i>zip</i>(1) and <i>unzip</i>(1)
-    are <b>not</b> passed on by <i>z</i> so that their behavior is
-    standard and predictable.
+<dt>GZIP, ZIPOPT, UNZIP, LBZIP2, BZIP2, BZIP
+<dd>These environment variables are <b>not</b> passed on by <i>z</i>
+    so that behavior is standard and predictable.
 </dl>
 
 <h2>BUGS</h2>
@@ -160,22 +162,22 @@
 
 <h2>VERSION</h2>
 
-<p>2.7.4</p>
+<p>2.7.5</p>
 
 <h2>AUTHOR</h2>
 
-<p><a href="http://kinzler.com/me/";>Steve Kinzler</a>,
+<p><a href="https://kinzler.com/me/";>Steve Kinzler</a>,
 <a href="mailto:[email protected]";>[email protected]</a>,
-May 89/Jun 93/Aug 99/Dec 00</p>
+May 89/Jun 93/Aug 99/Dec 00/Apr 24</p>
 
 <h2>URL</h2>
 
-<p><a href="http://kinzler.com/me/z/";>
-http://kinzler.com/me/z</a></p>
+<p><a href="https://kinzler.com/me/z/";>
+https://kinzler.com/me/z</a></p>
 
 <h2>SEE ALSO</h2>
 
-<p>compress(1), uncompress(1), gzip(1), bzip2(1), lzip(1), xz(1), tar(1),
-zip(1), unzip(1)</p>
+<p>compress(1), uncompress(1), gzip(1), pigz(1), bzip2(1), lbzip2(1),
+pbzip2(1), lzip(1), xz(1), pixz(1), tar(1), zip(1), unzip(1)</p>
 
 </body></html>
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/z-2.7.4/z.man new/z-2.7.6/z.man
--- old/z-2.7.4/z.man   2021-12-14 15:17:49.000000000 +0100
+++ new/z-2.7.6/z.man   2025-01-01 18:09:58.000000000 +0100
@@ -1,4 +1,4 @@
-.TH Z 1 2.7.4
+.TH Z 1 2.7.5
 .SH NAME
 z \- safely (un)tar and (de)feather files and directories
 .SH SYNOPSIS
@@ -16,6 +16,10 @@
 |
 .B \-L
 ] [
+.B \-g
+|
+.B \-G
+] [
 .B \-gz
 |
 .B \-z
@@ -55,9 +59,13 @@
 .IR compress (1),
 .IR uncompress (1),
 .IR gzip (1),
+.IR pigz (1),
 .IR bzip2 (1),
+.IR lbzip2 (1),
+.IR pbzip2 (1),
 .IR lzip (1),
 .IR xz (1),
+.IR pixz (1),
 .IR tar (1),
 .IR zip (1)
 and
@@ -111,6 +119,27 @@
 \fB\-\-fast\fP may be used instead of \fB\-1\fP and
 \fB\-\-best\fP instead of \fB\-9\fP.
 .TP 10
+\-bz
+Uses
+.IR bzip2 (1)
+and a \fB.bz2\fP compression suffix when feathering.
+.TP 10
+\-g
+Uses  parallel versions (
+.IR pigz (1),
+.IR lbzip2 (1),
+.IR pbzip2 (1),
+.IR pixz (1))
+of the utilities (
+.IR gzip (1),
+.IR lbzip2 (1),
+.IR xz (1))
+if available.
+Default.
+.TP 10
+\-G
+Does not use parallel versions of the utilities even if they are available.
+.TP 10
 \-gz
 Uses
 .IR gzip (1)
@@ -120,11 +149,6 @@
 \-h
 Prints a helpful usage message.
 .TP 10
-\-I
-Uses
-.IR bzip2 (1)
-and a \fB.bz2\fP compression suffix when feathering.
-.TP 10
 \-l
 Lists the file or directory name created resulting from each argument.
 .TP 10
@@ -137,11 +161,6 @@
 .IR lzip (1)
 and a \fB.lz\fP compression suffix when feathering.
 .TP 10
-\-xz
-Uses
-.IR xz (1)
-and a \fB.xz\fP compression suffix when feathering.
-.TP 10
 \-m mode
 Apply the given
 .IR chmod (1)
@@ -191,6 +210,11 @@
 Default.
 \fB\-q\fP is a synonym.
 .TP 10
+\-xz
+Uses
+.IR xz (1)
+and a \fB.xz\fP compression suffix when feathering.
+.TP 10
 \-z
 Uses
 .IR gzip (1)
@@ -221,24 +245,11 @@
 They may still be overridden by options given on the command line.
 .PP
 .TP 10
-GZIP
-This environment variable for
-.IR gzip (1)
-is \fBnot\fP passed on by
-.I z
-so that
-.IR gzip 's
-behavior is standard and predictable.
-.PP
-.TP 10
-ZIPOPT, UNZIP
-These environment variables for
-.IR zip (1)
-and
-.IR unzip (1)
+GZIP, ZIPOPT, UNZIP, LBZIP2, BZIP2, BZIP
+These environment variables
 are \fBnot\fP passed on by
 .I z
-so that their behavior is standard and predictable.
+so that behavior is standard and predictable.
 .SH BUGS
 There should be an option to allow the use of another directory
 for temporary files needed during the
@@ -269,11 +280,11 @@
 However, there are never any guarantees,
 so please use at your own risk.
 .SH VERSION
-2.7.4
+2.7.5
 .SH AUTHOR
-Steve Kinzler, [email protected], May 89/Jun 93/Aug 99/Dec 00
+Steve Kinzler, [email protected], May 89/Jun 93/Aug 99/Dec 00/Apr 24
 .SH URL
-http://kinzler.com/me/z
+https://kinzler.com/me/z
 .SH "SEE ALSO"
-compress(1), uncompress(1), gzip(1), bzip2(1), lzip(1), xz(1), tar(1), zip(1),
-unzip(1)
+compress(1), uncompress(1), gzip(1), pigz(1), bzip2(1), lbzip2(1),
+pbzip2(1), lzip(1), xz(1), pixz(1), tar(1), zip(1), unzip(1)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/z-2.7.4/zzcat new/z-2.7.6/zzcat
--- old/z-2.7.4/zzcat   2021-12-14 15:17:49.000000000 +0100
+++ new/z-2.7.6/zzcat   2025-01-01 18:09:58.000000000 +0100
@@ -3,22 +3,22 @@
 
 # zzcat - uncompress stdin and/or files to stdout
 # Steve Kinzler, [email protected], Nov 11
-# http://kinzler.com/me/home.html#unix
+# https://kinzler.com/me/home.html#unix
 
 case "$#" in
 0)     set x -; shift;;
 esac
 
-tmp=/tmp/zzcat$$
-trap "rm -f $tmp; exit" 0 1 2 13 15
+tmp="${TMPDIR:-/tmp}/zzcat$$"
+trap "rm -f '$tmp'; exit" 0 1 2 13 15
 
 for file
 do
        in="$file"
        case "$file" in
-       -)      cat > $tmp
-               in=$tmp
-               case "`file $tmp`" in   # warning, heuristic
+       -)      cat > "$tmp"
+               in="$tmp"
+               case `file "$tmp"` in   # warning, heuristic
                *gzip*)         file=.gz;;
                *bzip2*)        file=.bz2;;
                *lzip*)         file=.lz;;
@@ -36,5 +36,5 @@
        *.Z)            uncompress;;
        *)              cat;;
        esac < "$in"
-       rm -f $tmp
+       rm -f "$tmp"
 done

Reply via email to